
      subroutine drwpath(npts,satlat,satlon)
c
      dimension satlat(npts),satlon(npts)
c
      call maptrn(satlat(1),satlon(1),xpos,ypos)
      do ipt=2,npts
        call maptrn(satlat(ipt),satlon(ipt),xpos1,ypos1)
        if (xpos.ne.1.e12.and.ypos.ne.1.e12.and.
     +      xpos1.ne.1.e12.and.ypos1.ne.1.e12) 
     +    call line(xpos,ypos,xpos1,ypos1)
        xpos = xpos1
        ypos = ypos1
      enddo
      return
      end
